import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'
const ClientToken = 'ClientToken'
const UserToken = 'UserToken'
const ExpiresInKey = 'Admin-Expires-In'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}


// 企业端登录的clientToken
export function getClientToken() {
  return Cookies.get(ClientToken)
}

export function setClientToken(token) {
  return Cookies.set(ClientToken, token)
}

export function removeClientToken() {
  return Cookies.remove(ClientToken)
}

// 政务端登录的userToken
export function getUSerToken() {
  return Cookies.get(UserToken)
}

export function setUserToken(token) {
  return Cookies.set(UserToken, token)
}

export function removeUSerToken() {
  return Cookies.remove(UserToken)
}